# omnia\_checkPhishingSite

**Returns security details indicating whether the given url is a phishing site or not.**

**Note: This is a chain-agnostic method.**

**Parameters**

`STRING` - url. The url of the website that is checked. <mark style="color:red;">REQUIRED</mark>

**Returns**

`Object with following details:`

| Parameter                          | Description                                                                                                                                                                                                         |
| ---------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `phishing_site`                    | <ul><li>1 if the given url leads to a website involved in phishing activities</li><li>0 if no phishing activities found</li></ul>                                                                                   |
| `website_contract_security [BETA]` | Applies and returns the same check as [omnia\_checkAddress](https://app.gitbook.com/o/-Ml9lAiUWtXZF3GXO6N3/s/iLoE65E22qMx9VF67gCT/~/changes/89/rpc-api-docs/chains/ethereum/custom-json-rpc-api/omnia_checkaddress) |

<br>

## Example

#### Request

```
curl --request POST \
     --url https://endpoints.omniatech.io/v1/RPC_ENDPOINT \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "omnia_checkphishingsite",
    "params": [
        {
            "url": "https://www.c0inbase.com" // notice the '0' instead of 'o' in the domain name
        }
    ]
}
'
```

#### Response

```
{
    "id": 1,
    "jsonrpc": "2.0",
    "result": {
        "website_contract_security": [],
        "phishing_site": 1
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omniatech.io/rpc-api-docs/chains/avalanche-c-chain/custom-json-rpc-api/omnia_checkphishingsite.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
